Bug 159549 - [New Port] graphics/ocrfeeder
[New Port] graphics/ocrfeeder
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-06 15:00 UTC by buganini
Modified: 2011-09-30 21:50 UTC (History)
0 users

See Also:


Attachments
file.shar (17.60 KB, text/plain)
2011-08-06 15:00 UTC, buganini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2011-08-06 15:00:19 UTC
Prerequisite: http://www.freebsd.org/cgi/query-pr.cgi?pr=159544

Tested in amd64 8-STABLE tinderbox.

OCRFeeder is a document layout analysis and optical character recognition
 system.

Given the images it will automatically outline its contents, distinguish
 between what's graphics and text and perform OCR over the latter. It generates
 multiple formats being its main one ODT.

It features a complete GTK graphical user interface that allows the users to
 correct any unrecognized characters, defined or correct bounding boxes, set
 paragraph styles, clean the input images, import PDFs, save and load the
 project, export everything to multiple formats, etc. OCRFeeder was developed
 as the project of the Master's Thesis in Computer Science of Joaquim Rocha.

WWW: http://live.gnome.org/OCRFeeder

Fix: Patch attached with submission follows:
Comment 1 buganini 2011-08-12 16:32:46 UTC
http://www.cnmc.tw/~buganini/ocrfeeder.shar.txt
pkg-message update.
Comment 2 Pawel Pekala freebsd_committer 2011-09-18 16:25:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 3 buganini 2011-09-29 08:24:33 UTC
print/py-reportlab2 has just been updated and unbroken.
Comment 4 dfilter freebsd_committer 2011-09-30 21:41:08 UTC
pawel       2011-09-30 20:40:58 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/ocrfeeder   Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Log:
  OCRFeeder is a document layout analysis and optical character recognition
  system.
  
  Given the images it will automatically outline its contents, distinguish
  between what's graphics and text and perform OCR over the latter. It generates
  multiple formats being its main one ODT.
  
  It features a complete GTK graphical user interface that allows the users to
  correct any unrecognized characters, defined or correct bounding boxes, set
  paragraph styles, clean the input images, import PDFs, save and load the
  project, export everything to multiple formats, etc. OCRFeeder was developed
  as the project of the Master's Thesis in Computer Science of Joaquim Rocha.
  
  WWW: http://live.gnome.org/OCRFeeder
  
  PR:             ports/159549
  Submitted by:   Kuan-Chung Chiu <buganini@gmail.com>
  Approved by:    miwi, wen (mentors implicit)
  
  Revision  Changes    Path
  1.1448    +1 -0      ports/graphics/Makefile
  1.1       +40 -0     ports/graphics/ocrfeeder/Makefile (new)
  1.1       +2 -0      ports/graphics/ocrfeeder/distinfo (new)
  1.1       +14 -0     ports/graphics/ocrfeeder/pkg-descr (new)
  1.1       +11 -0     ports/graphics/ocrfeeder/pkg-message (new)
  1.1       +318 -0    ports/graphics/ocrfeeder/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2011-09-30 21:44:33 UTC
State Changed
From-To: open->closed

New port added. Thanks!